﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnPlayers : MonoBehaviour {

    public Transform parent;

    private bool p1Active = PlayerAddition.p1Active;
    private bool p2Active = PlayerAddition.p2Active;
    private bool p3Active = PlayerAddition.p3Active;
    private bool p4Active = PlayerAddition.p4Active;

    public GameObject RedPlayer;
    public GameObject BluePlayer;
    public GameObject GreenPlayer;
    public GameObject YellowPlayer;



    // Use this for initialization
    void Start ()
    {
        parent = GameObject.Find("Ship1").transform;
        if (p1Active)
        {
            GameObject player1 = Instantiate(RedPlayer, new Vector3(-1.5f, 5f, -1f), Quaternion.identity);
            player1.transform.SetParent(parent);
        }
        if (p2Active)
        {
            GameObject player2 = Instantiate(BluePlayer, new Vector3(1.5f, 5f, -1f), Quaternion.identity);
            player2.transform.SetParent(parent);
        }
        if (p3Active)
        {
            GameObject player3 = Instantiate(GreenPlayer, new Vector3(-1.5f, 5f, -2.5f), Quaternion.identity);
            player3.transform.SetParent(parent);
        }
        if (p4Active)
        {
            GameObject player4 = Instantiate(YellowPlayer, new Vector3(1.5f, 5f, -2.5f), Quaternion.identity);
            player4.transform.SetParent(parent);
        }
        
    }
	
	// Update is called once per frame
	void Update ()
    {
        
    }
}
