﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WavePropagator : MonoBehaviour {

    Transform wavePropogator;
    public float speed;

	// Use this for initialization
	void Start ()
    {
        wavePropogator = GetComponent<Transform>();
	}
	
	// Update is called once per frame
	void Update ()
    {
        if (Input.GetButtonDown("Fire1"))
        {
            var mousePos = Input.mousePosition;
            mousePos.z = 19.3f;
            var objectPos = Camera.main.ScreenToWorldPoint(mousePos);
            Instantiate(wavePropogator, objectPos, Quaternion.identity);
        }
        Vector3 currentScale = wavePropogator.GetComponent<Transform>().localScale;
        wavePropogator.GetComponent<Transform>().localScale = new Vector3(currentScale.x*speed, currentScale.y*speed, currentScale.z*speed);
    }
}
