﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DeathManager : MonoBehaviour {

    public static bool player1dead;
    public static bool player2dead;
    public static bool player3dead;
    public static bool player4dead;

    public int spawnDelay = 120;
    public int spawnTimer1;
    public int spawnTimer2;
    public int spawnTimer3;
    public int spawnTimer4;

    public GameObject player1;
    GameObject player2;
    GameObject player3;
    GameObject player4;

    // Use this for initialization
    void Start ()
    {
        spawnTimer1 = spawnDelay;
        spawnTimer2 = spawnDelay;
        spawnTimer3 = spawnDelay;
        spawnTimer4 = spawnDelay;

        player1 = GameObject.FindGameObjectWithTag("RedPlayer");
        player2 = GameObject.FindGameObjectWithTag("BluePlayer");
        player3 = GameObject.FindGameObjectWithTag("GreenPlayer");
        player4 = GameObject.FindGameObjectWithTag("YellowPlayer");


        //player1 = GameObject.Find("RedPlayer(Clone)");
        //player2 = GameObject.Find("BluePlayer(Clone)");
        //player3 = GameObject.Find("GreenPlayer(Clone)");
        //player4 = GameObject.Find("YellowPlayer(Clone)");
    }
	
	// Update is called once per frame
	void Update ()
    {
        if(player1 == null)
        {
            player1 = GameObject.FindGameObjectWithTag("RedPlayer");
            player2 = GameObject.FindGameObjectWithTag("BluePlayer");
            player3 = GameObject.FindGameObjectWithTag("GreenPlayer");
            player4 = GameObject.FindGameObjectWithTag("YellowPlayer");
        }

        if (player1dead)
        {
            if (spawnTimer1 > 0)
                spawnTimer1--;
            else
            {
                player1dead = false;
                spawnTimer1 = spawnDelay;
                player1.SetActive(true);
                player1.transform.position = new Vector3(this.gameObject.transform.position.x, 10, -1f + this.gameObject.transform.position.z);
            }
        }
        if (player2dead)
        {
            if (spawnTimer2 > 0)
                spawnTimer2--;
            else
            {
                player2dead = false;
                spawnTimer2 = spawnDelay;
                player2.SetActive(true);
                player2.transform.position = new Vector3(this.gameObject.transform.position.x, 10, -1f + this.gameObject.transform.position.z);
            }
        }
        if (player3dead)
        {
            if (spawnTimer3 > 0)
                spawnTimer3--;
            else
            {
                player3dead = false;
                spawnTimer3 = spawnDelay;
                player3.SetActive(true);
                player3.transform.position = new Vector3(this.gameObject.transform.position.x, 10, -1f + this.gameObject.transform.position.z);
            }
        }
        if (player4dead)
        {
            if (spawnTimer4 > 0)
                spawnTimer4--;
            else
            {
                player4dead = false;
                spawnTimer4 = spawnDelay;
                player4.SetActive(true);
                player4.transform.position = new Vector3(this.gameObject.transform.position.x, 10, -1f + this.gameObject.transform.position.z);
            }
        }
    }
}
