﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerAddition : MonoBehaviour {

    public GameObject RedPlayer;
    public GameObject BluePlayer;
    public GameObject GreenPlayer;
    public GameObject YellowPlayer;
    public GameObject layout1;
    public GameObject layout2;
    public GameObject layout3;
    public GameObject layout4;
    private int activePlayers;
    public static bool p1Active;
    public static bool p2Active;
    public static bool p3Active;
    public static bool p4Active;
    private bool p1A;
    private bool p2A;
    private bool p3A;
    private bool p4A;
    GameObject first;
    GameObject second;
    GameObject third;
    GameObject fourth;
    bool placed1 = false;
    bool placed2 = false;
    bool placed3 = false;
    bool placed4 = false;
    public AudioSource cannon;


    // Use this for initialization
    void Start ()
    {
        activePlayers = 0;
        ResetLayout();
        p1Active = false;
        p2Active = false;
        p3Active = false;
        p4Active = false;
    }
	
	// Update is called once per frame
	void Update ()
    {
        Debug.Log(Input.GetButtonDown("a_p3"));
        p1A = Input.GetButtonDown("a_p1");
        p2A = Input.GetButtonDown("a_p2");
        p3A = Input.GetButtonDown("a_p3");
        p4A = Input.GetButtonDown("a_p4");
        Debug.Log(activePlayers);
        if (activePlayers == 0 && (Check(ref p1Active, p1A) || Check(ref p2Active, p2A) || Check(ref p3Active, p3A) || Check(ref p4Active, p4A)))
        {
            cannon.Play();
            activePlayers = 1;
            ResetLayout();
            layout1.SetActive(true);
            if (p1Active)
            {
                first = Instantiate(RedPlayer, new Vector3(2.62f, 2.7f, 17.34f), Quaternion.identity);
                placed1 = true;
            }
            if (p2Active)
            {
                first = Instantiate(BluePlayer, new Vector3(2.62f, 2.7f, 17.34f), Quaternion.identity);
                placed2 = true;
            }
            if (p3Active)
            {
                first = Instantiate(GreenPlayer, new Vector3(2.62f, 2.7f, 17.34f), Quaternion.identity);
                placed3 = true;
            }
            if (p4Active)
            {
                first = Instantiate(YellowPlayer, new Vector3(2.62f, 2.7f, 17.34f), Quaternion.identity);
                placed4 = true;
            }
        }
        else if (activePlayers == 1 && (Check(ref p1Active, p1A) || Check(ref p2Active, p2A) || Check(ref p3Active, p3A) || Check(ref p4Active, p4A)))
        {
            cannon.Play();
            activePlayers = 2;
            ResetLayout();
            layout2.SetActive(true);
            first.transform.position = new Vector3(3.56f, 2.7f, 17.34f);
            if (p1Active && placed1 == false)
            {
                second = Instantiate(RedPlayer, new Vector3(1.61f, 2.7f, 17.38f), Quaternion.identity);
                placed1 = true;
            }
            if (p2Active && placed2 == false)
            {
                second = Instantiate(BluePlayer, new Vector3(1.61f, 2.7f, 17.38f), Quaternion.identity);
                placed2 = true;
            }
            if (p3Active && placed3 == false)
            {
                second = Instantiate(GreenPlayer, new Vector3(1.61f, 2.7f, 17.38f), Quaternion.identity);
                placed3 = true;
            }
            if (p4Active && placed4 == false)
            {
                second = Instantiate(YellowPlayer, new Vector3(1.61f, 2.7f, 17.38f), Quaternion.identity);
                placed4 = true;
            }
        }
        else if (activePlayers == 2 && (Check(ref p1Active, p1A) || Check(ref p2Active, p2A) || Check(ref p3Active, p3A) || Check(ref p4Active, p4A)))
        {
            cannon.Play();
            activePlayers = 3;
            ResetLayout();
            layout3.SetActive(true);
            first.transform.position = new Vector3(4.64f, 2.7f, 17.75f);
            second.transform.position = new Vector3(2.6f, 2.7f, 17.38f);
            if (p1Active && placed1 == false)
            {
                third = Instantiate(RedPlayer, new Vector3(.54f, 2.7f, 17.69f), Quaternion.identity);
                placed1 = true;
            }
            if (p2Active && placed2 == false)
            {
                third = Instantiate(BluePlayer, new Vector3(.54f, 2.7f, 17.69f), Quaternion.identity);
                placed2 = true;
            }
            if (p3Active && placed3 == false)
            {
                third = Instantiate(GreenPlayer, new Vector3(.54f, 2.7f, 17.69f), Quaternion.identity);
                placed3 = true;
            }
            if (p4Active && placed4 == false)
            {
                third = Instantiate(YellowPlayer, new Vector3(.54f, 2.7f, 17.69f), Quaternion.identity);
                placed4 = true;
            }
        }
        else if (activePlayers == 3 && (Check(ref p1Active, p1A) || Check(ref p2Active, p2A) || Check(ref p3Active, p3A) || Check(ref p4Active, p4A)))
        {
            cannon.Play();
            activePlayers = 4;
            ResetLayout();
            layout4.SetActive(true);
            first.transform.position = new Vector3(5.23f, 2.7f, 17.69f);
            second.transform.position = new Vector3(3.57f, 2.7f, 17.38f);
            third.transform.position = new Vector3(1.73f, 2.7f, 17.38f);
            if (p1Active && placed1 == false)
            {
                fourth = Instantiate(RedPlayer, new Vector3(.09f, 2.7f, 17.81f), Quaternion.identity);
                placed1 = true;
            }
            if (p2Active && placed2 == false)
            {
                fourth = Instantiate(BluePlayer, new Vector3(.09f, 2.7f, 17.81f), Quaternion.identity);
                placed2 = true;
            }
            if (p3Active && placed3 == false)
            {
                fourth = Instantiate(GreenPlayer, new Vector3(.09f, 2.7f, 17.81f), Quaternion.identity);
                placed3 = true;
            }
            if (p4Active && placed4 == false)
            {
                fourth = Instantiate(YellowPlayer, new Vector3(.09f, 2.7f, 17.81f), Quaternion.identity);
                placed4 = true;
            }
        }
    }

    void ResetLayout()
    {
        layout1.SetActive(false);
        layout2.SetActive(false);
        layout3.SetActive(false);
        layout4.SetActive(false);
    }

    bool Check(ref bool active, bool A)
    {
        if (active == false && A == true)
        {
            active = true;
            return A;
        }
        return false;
    }
}
