﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerMovement : MonoBehaviour {
	//public Rigidbody player;

	public GameObject centerOfShip;
	public float speed = 10f;

    public AudioSource death;

	private float distanceFromCenter;

	// Use this for initialization
	void Start () 
	{
        centerOfShip = GameObject.Find("COM");
        death = GameObject.Find("death noise").GetComponent<AudioSource>();
    }
	
	// Update is called once per frame
	void Update () 
	{
		distanceFromCenter = Vector3.Distance (centerOfShip.transform.position, this.transform.position);
		if (this.transform.position.x > centerOfShip.transform.position.x) 
		{
			distanceFromCenter = -distanceFromCenter;
		}
		ShipMovement.UpdateWeight (distanceFromCenter / 10);

        if (transform.gameObject.name == "RedPlayer(Clone)")
        {
            var move = new Vector3(Input.GetAxis("h_p1"), 0, -(Input.GetAxis("v_p1")));
            transform.position += move * speed * Time.deltaTime;

            if (move != Vector3.zero)
                GetComponent<Animator>().SetTrigger("IsMoving");
            else
                GetComponent<Animator>().SetTrigger("IsIdle");
        }
        else if (transform.gameObject.name == "BluePlayer(Clone)")
        {
            var move = new Vector3(Input.GetAxis("h_p2"), 0, -(Input.GetAxis("v_p2")));
            transform.position += move * speed * Time.deltaTime;

            if (move != Vector3.zero)
                GetComponent<Animator>().SetTrigger("IsMoving");
            else
                GetComponent<Animator>().SetTrigger("IsIdle");
        }
        else if (transform.gameObject.name == "GreenPlayer(Clone)")
        {
            var move = new Vector3(Input.GetAxis("h_p3"), 0, -(Input.GetAxis("v_p3")));
            transform.position += move * speed * Time.deltaTime;

            if (move != Vector3.zero)
                GetComponent<Animator>().SetTrigger("IsMoving");
            else
                GetComponent<Animator>().SetTrigger("IsIdle");
        }
        else if (transform.gameObject.name == "YellowPlayer(Clone)")
        {
            var move = new Vector3(Input.GetAxis("h_p4"), 0, -(Input.GetAxis("v_p4")));
            transform.position += move * speed * Time.deltaTime;

            if (move != Vector3.zero)
                GetComponent<Animator>().SetTrigger("IsMoving");
            else
                GetComponent<Animator>().SetTrigger("IsIdle");
        }
    }
    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.tag == "Water")
        {
            death.Play();
            if (this.gameObject.name == "RedPlayer(Clone)")
            {
                DeathManager.player1dead = true;
                this.gameObject.SetActive(false);
            }
            if (this.gameObject.name == "BluePlayer(Clone)")
            {
                DeathManager.player2dead = true;
                this.gameObject.SetActive(false);
            }
            if (this.gameObject.name == "GreenPlayer(Clone)")
            {
                DeathManager.player3dead = true;
                this.gameObject.SetActive(false);
            }
            if (this.gameObject.name == "YellowPlayer(Clone)")
            {
                DeathManager.player4dead = true;
                this.gameObject.SetActive(false);
            }
        }
    }
}
